using System;

public class Square_Root_Class
{
    public static double calcRoot(double number)
    {
        double root;
        root = number / 2;
        double root_old;
        do
        {
            root_old = root;
            root = (root_old + number / root_old) / 2;
        } while (Math.Abs(root_old - root) > 1.0E-6);

        return root;
    }
}
